Package org.jfree.layouting.modules.output.plaintext

## Class PlaintextFontMetricsFactory

- java.lang.Object
- - org.jfree.layouting.modules.output.plaintext.PlaintextFontMetricsFactory

- All Implemented Interfaces:
    `org.pentaho.reporting.libraries.fonts.registry.FontMetricsFactory`

  Deprecated.
  Replaced by MonospacedFontMetrics ..

      public class PlaintextFontMetricsFactory
      extends java.lang.Object
      implements org.pentaho.reporting.libraries.fonts.registry.FontMetricsFactory

  Creation-Date: 13.11.2006, 12:51:41
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PlaintextFontMetricsFactory​(double charWidth, double charHeight)` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.pentaho.reporting.libraries.fonts.registry.FontMetrics` | `createMetrics​(org.pentaho.reporting.libraries.fonts.registry.FontIdentifier identifier, org.pentaho.reporting.libraries.fonts.registry.FontContext context)` | Deprecated. Loads the font metrics for the font identified by the given identifier.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PlaintextFontMetricsFactory

          public PlaintextFontMetricsFactory​(double charWidth,
                                             double charHeight)

      Deprecated.

  - ### Method Detail

    - #### createMetrics

          public org.pentaho.reporting.libraries.fonts.registry.FontMetrics createMetrics​(org.pentaho.reporting.libraries.fonts.registry.FontIdentifier identifier,
                                                                                          org.pentaho.reporting.libraries.fonts.registry.FontContext context)

      Deprecated.
      Loads the font metrics for the font identified by the given identifier.
      Specified by:
        `createMetrics` in interface `org.pentaho.reporting.libraries.fonts.registry.FontMetricsFactory`
      Parameters:
        `identifier` -
        `context` -
      Returns: